﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using System.Windows;

namespace CtrEditor.FuncionesBase
{
    public struct MutableRect
    {
        public float Left { get; set; }
        public float Top { get; set; }
        public float Right { get; set; }
        public float Bottom { get; set; }

        public MutableRect(float left, float top, float right, float bottom)
        {
            Left = left;
            Top = top;
            Right = right;
            Bottom = bottom;
        }

        public MutableRect(Rect r)
        {
            Left = (float) r.Left;
            Top = (float)r.Top;
            Right = (float)r.Right;
            Bottom = (float)r.Bottom;
        }


        public float Width => Right - Left;
        public float Height => Bottom - Top;
    }

}
